Name: libnftnl
Version: 1.2.0
Release: 2
Summary: Library for low-level interaction with nftables Netlink's API over libmnl
License: GPLv2+
URL: http://netfilter.org/projects/libnftnl/
Source0: http://netfilter.org/projects/libnftnl/files/%{name}-%{version}.tar.bz2

BuildRequires: libmnl-devel jansson-devel gcc

# replace old libnftables package
Provides: libnftables = %{version}-%{release}
Obsoletes: libnftables < 0-0.6

%description
libnftnl is a userspace library providing a low-level netlink programming interface (API)
to the in-kernel nf_tables subsystem.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
# replace old libnftables-devel package
Provides: libnftables-devel = %{version}-%{release}
Obsoletes: libnftables-devel < 0-0.6

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static --disable-silent-rules --with-json-parsing
%make_build

%install
%make_install
%delete_la

%check
make %{?_smp_mflags} check

%files
%doc COPYING
%{_libdir}/*.so.*

%files devel
%{_libdir}/libnft*.so
%{_libdir}/pkgconfig/libnftnl.pc
%{_includedir}/libnftnl

%changelog
* Tue Oct 25 2022 yanglongkang <yanglongkang@h-partners.com> - 1.2.0-2
- rebuild for next release

* Mon Jul 19 2021 fuanan <fuanan3@huawei.com> - 1.2.0-1
- update to 1.2.0

* Thu Jan 21 2021 yangzhuangzhuang<yangzhuangzhuang1@huawei.com> - 1.1.8-1
- update to 1.1.8

* Wed Sep 9 2020 wangchen<wangchen137@huawei.com> - 1.1.7-2
- modify the URL of Source0

* Wed Jul 22 2020 hanzhijun<hanzhijun1@huawei.com> - 1.1.7-1
- update to 1.1.7

* Wed Jul 1 2020 chengquan<chengquan3@huawei.com> - 1.1.5-3
- delete temporary binary compatibility

* Tue Apr 28 2020 Yufa Fang<fangyufa1@huawei.com> - 1.1.5-2
- include previous ABI version for temporary binary compatibility

* Fri Apr 24 2020 Yufa Fang<fangyufa1@huawei.com> - 1.1.5-1
- update to 1.1.5 and fix flowtable tests failure

* Tue Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.1-6
- Package init

